<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>What kinds of things are revealed?</h1>

<ul>
<li> Lock contention

<li> Inefficient algorithms like zlib inflate

<li> MSRs / slow CPU features

<li> Serialization through a CPU

<li> Copy to/from user

<li> Page faults

<li> Excessive mmap/munmap (from memory allocations)

<li> Opportunities to short-cut through the stack
</ul>
